﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Payaneh
{
    public partial class frmTime : Form
    {
        public frmTime()
        {
            InitializeComponent();
        }

        private void frmTime_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'dataSet1.tblTime' table. You can move, or remove it, as needed.
            this.tblTimeTableAdapter.Fill(this.dataSet1.tblTime);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (txtcode.Text == "")
            {
                MessageBox.Show("لطفا شماره اتوبوس را وارد کنید", "خطا");
                return;
            }
            if (txtmabda.Text == "")
            {
                MessageBox.Show("لطفا شهر مبدا را وارد کنید", "خطا");
                return;
            }
            if (txtmaghsad.Text == "")
            {
                MessageBox.Show("لطفا شهر مقصد را وارد کنید", "خطا");
                return;
            }
            if (txttime.Text == "")
            {
                MessageBox.Show("لطفا ساعت حرکت را وارد کنید", "خطا");
                return;
            }

            try
            {
                DataSet1TableAdapters.tblTimeTableAdapter Time = new DataSet1TableAdapters.tblTimeTableAdapter();
                Time.InsertQuery(int.Parse(txtcode.Text), txttime.Text, txtmabda.Text, txtmaghsad.Text);
                Time.Fill(dataSet1.tblTime);
            }
            catch { MessageBox.Show("اطلاعات معتبر نیست", "خطا"); }
            
            txtcode.Text = "";
            txtmabda.Text = "";
            txtmaghsad.Text = "";
            txttime.Text = "";

            MessageBox.Show("اطلاعات ثبت شد", "پیام");
        }

        private void button2_Click(object sender, EventArgs e)
        {
            tblTimeTableAdapter.DeleteQuery(int.Parse(dataGridView1.CurrentRow.Cells[0].Value.ToString()));
            tblTimeTableAdapter.Fill(dataSet1.tblTime);

            MessageBox.Show("رکورد حذف شد", "پیام");
        }

        private void txtcode_TextChanged(object sender, EventArgs e)
        {
            try
            {
                tblTimeTableAdapter.FillByCode(dataSet1.tblTime, (int.Parse(txtcode.Text)));
            }
            catch { }
            
        }

        private void button3_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
